<?php

namespace Modules\Parametros\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\DataSet;

class ParametrosImportacaoAfControlle {

    public function gerarChaveAcesso (DTO\Request\Row $request, DTO\Response $response) {
    
        $chave = md5(uniqid("TEKNISA", true));

        $response->addMessage(new Message($chave));
    }
    
    public function generateEncodedPassword(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $encodedPassword = ["DSSENHA" => substr(md5($row["DSSENHA"]), 0, 20)];
        
        $response->addDataSet(new DataSet("data", $encodedPassword));
    }
}